Loading...
Searching...
No Matches
pdftron::FDF::XFDFExportOptions Class Reference

`#include <XFDFExportOptions.h>`

## Public Member Functions
| XFDFExportOptions ()
| ~XFDFExportOptions ()
bool | GetWriteAnnotationAppearance ()
XFDFExportOptions & | SetWriteAnnotationAppearance (bool value)
bool | GetWriteImagedata ()
XFDFExportOptions & | SetWriteImagedata (bool value)

## Detailed Description

Definition at line 9 of file XFDFExportOptions.h.

## Constructor & Destructor Documentation

## ◆ XFDFExportOptions()

pdftron::FDF::XFDFExportOptions::XFDFExportOptions | ( |  | ) |

## ◆ ~XFDFExportOptions()

pdftron::FDF::XFDFExportOptions::~XFDFExportOptions | ( |  | ) |

## Member Function Documentation

## ◆ GetWriteAnnotationAppearance()

bool pdftron::FDF::XFDFExportOptions::GetWriteAnnotationAppearance | ( |  | ) |

Gets the value WriteAnnotationAppearance from the options object When the option is enabled, the appearance wil be written for the annotations with custom appearance (i.e. different from that generated by RefreshAppearance()). Note, that if WriteImagedata is enabled, appearance will not be written for the annotations that support imagedata. In order to preserve vector information, WriteImagedata needs to be disabled

Returns
  a bool, the current value for WriteAnnotationAppearance.

## ◆ GetWriteImagedata()

bool pdftron::FDF::XFDFExportOptions::GetWriteImagedata | ( |  | ) |

Gets the value WriteImagedata from the options object If true, rasterized appearance will be written for the image-based annotations (stamps and signature fields) to xfdf

Returns
  a bool, the current value for WriteImagedata.

## ◆ SetWriteAnnotationAppearance()

XFDFExportOptions & pdftron::FDF::XFDFExportOptions::SetWriteAnnotationAppearance | ( | bool | value | ) |

Sets the value for WriteAnnotationAppearance in the options object When the option is enabled, the appearance wil be written for the annotations with custom appearance (i.e. different from that generated by RefreshAppearance()). Note, that if WriteImagedata is enabled, appearance will not be written for the annotations that support imagedata. In order to preserve vector information, WriteImagedata needs to be disabled

Parameters

  value | the new value for WriteAnnotationAppearance

Returns
  this object, for call chaining

## ◆ SetWriteImagedata()

XFDFExportOptions & pdftron::FDF::XFDFExportOptions::SetWriteImagedata | ( | bool | value | ) |

Sets the value for WriteImagedata in the options object If true, rasterized appearance will be written for the image-based annotations (stamps and signature fields) to xfdf

Parameters

  value | the new value for WriteImagedata

Returns
  this object, for call chaining

The documentation for this class was generated from the following file:

- FDF/XFDFExportOptions.h